/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_ORCL_RESP_FUNC_TBL FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;
  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_ORCL_RESP_FUNC FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;
END;  
/

CREATE OR REPLACE TYPE XXAS_ORCL_RESP_FUNC AS OBJECT
  (RESPONSIBILITY_ID   number
  ,APPLICATION_ID      number
  ,SECURITY_GROUP_ID   number
  ,RESPONSIBILITY_NAME varchar2(240)
  ,FUNCTION_ID         number
  ,FUNCTION_TYPE       varchar2(30)
  ,PROMPT              varchar2(60)
  ,DESCRIPTION         varchar2(240)
  ,NAV_PATH            varchar2(4000)
  );
/
  
CREATE TYPE XXAS_ORCL_RESP_FUNC_TBL AS TABLE OF XXAS_ORCL_RESP_FUNC;
/


COMMIT;
EXIT;
